<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pd@FF8B94=00090009</action> <!-- Second word is for player 2 when 'Coin Slot' Dip Switch set to 'Individual' -->
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Don't enable cheats for inactive players or you"/>
  <cheat desc="won't be able to complete any stages!"/>
  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF60DD=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>Disable this cheat before starting the next stage!</comment>
    <script state="run">
      <action>maincpu.pb@FF06C0=10|(maincpu.pb@FF06C0 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Smart Bombs PL1">
    <script state="run">
      <action>maincpu.pb@FF60DF=06</action>
    </script>
  </cheat>

  <cheat desc="Select Fire Power PL1">
    <parameter>
      <item value="0x03">Maximum Fire Power PL1</item>
      <item value="0x07">Absurd Fire Power PL1</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF60E1=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pb@FF60EF=00</action>
    </script>
  </cheat>

  <cheat desc="Longer Fire Streams PL1">
    <script state="run">
      <action>maincpu.pw@FF60ED=0000</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF61DD=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>Disable this cheat before starting the next stage!</comment>
    <script state="run">
      <action>maincpu.pb@FF0720=10|(maincpu.pb@FF0720 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Smart Bombs PL2">
    <script state="run">
      <action>maincpu.pb@FF61DF=06</action>
    </script>
  </cheat>

  <cheat desc="Select Fire Power PL2">
    <parameter>
      <item value="0x03">Maximum Fire Power PL2</item>
      <item value="0x07">Absurd Fire Power PL2</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF61E1=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pb@FF61EF=00</action>
    </script>
  </cheat>

  <cheat desc="Longer Fire Streams PL2">
    <script state="run">
      <action>maincpu.pw@FF61ED=0000</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
